TF_CryptoSystemBase< INTFACE, BASE > Class Template Reference

Trapdoor function cryptosystem base class. More...

`#include <pubkey.h>`

Inheritance diagram for TF_CryptoSystemBase< INTFACE, BASE >:

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
Public Member Functions inherited from PK_FixedLengthCryptoSystemImpl< INTFACE >
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const

## Detailed Description

template<class INTFACE, class BASE>
class TF_CryptoSystemBase< INTFACE, BASE >

Trapdoor function cryptosystem base class.

Template Parameters

  INTFACE | public key cryptosystem base interface
  BASE | public key cryptosystem implementation base

Definition at line 267 of file pubkey.h.

## Constructor & Destructor Documentation

## ~TF_CryptoSystemBase()

template<class INTFACE , class BASE >

virtual TF_CryptoSystemBase< INTFACE, BASE >::~TF_CryptoSystemBase | ( |  | ) |

inline virtual

Definition at line 270 of file pubkey.h.

## Member Function Documentation

## ParameterSupported()

template<class INTFACE , class BASE >

bool TF_CryptoSystemBase< INTFACE, BASE >::ParameterSupported | ( | const char * | name | ) | const

inline

Definition at line 272 of file pubkey.h.

## FixedMaxPlaintextLength()

template<class INTFACE , class BASE >

size_t TF_CryptoSystemBase< INTFACE, BASE >::FixedMaxPlaintextLength | ( |  | ) | const

inline virtual

Implements PK_FixedLengthCryptoSystemImpl< INTFACE >.

Definition at line 273 of file pubkey.h.

## FixedCiphertextLength()

template<class INTFACE , class BASE >

size_t TF_CryptoSystemBase< INTFACE, BASE >::FixedCiphertextLength | ( |  | ) | const

inline virtual

Implements PK_FixedLengthCryptoSystemImpl< INTFACE >.

Definition at line 274 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h